Module java.xml.crypto
Package javax.xml.crypto

# Interface KeySelectorResult

public interface KeySelectorResult
The result returned by the `KeySelector.select` method.

At a minimum, a `KeySelectorResult` contains the `Key` selected by the `KeySelector`. Implementations of this interface may add methods to return implementation or algorithm specific information, such as a chain of certificates or debugging information.

Since:
  1.6
See Also:
  - `KeySelector`

## Method Summary

Modifier and Type
Method
Description
`Key`
`getKey()`
Returns the selected key.

## Method Details

### getKey

Key getKey()
Returns the selected key.

Returns:
  the selected key, or `null` if none can be found